#
# spec file for package lbdb
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2011 Red Hat, Inc
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Copyright (c) 2013 The Mageia Project

Name:           lbdb
Summary:        Address Database for mutt
Version:        0.56
Release:        %mkrel 1
License:        GPLv2+
Url:            https://www.spinnaker.de/lbdb/
Group:          Databases
Source:         https://www.spinnaker.de/lbdb/download/lbdb-%{version}.tar.gz
# change default modules list
Patch0:         lbdb.rc.diff
# fix path of evolution-addressbook-export
Patch1:         lbdb-0.38-evolution.diff
BuildRequires:  perl
Requires:       perl(Net::LDAP)
Requires:       perl(Getopt::Long)

%description
The Little Brother's Database (lbdb) consists of a set of small tools
that collect mail addresses from several sources and offer these
addresses to the external query feature of the Mutt mail reader.


%prep
%setup -q -n lbdb-%{version}
%patch -P 0 -p0
%patch -P 1 -p1


%build
export EVOLUTION_ADDRESSBOOK_EXPORT='/usr/libexec/evolution/*/evolution-addressbook-export'
# lbdb uses libdir in most of its helper programs to find the absolute path
# to these binaries, that's why it's forcefully set to %%_libexecdir/lbdb.
# Another option would be to s/libdir/libexecdir in the helpers, but there
# are about 15 programs to patch, so this approach is easier.
%configure --libdir=%{_libexecdir}/lbdb \
           --libexecdir=%{_libexecdir}/lbdb
%make_build


%install
%make_install install_prefix=%{buildroot}


%files
%doc README.md TODO CHANGELOG.md
%license COPYING
%config(noreplace) %{_sysconfdir}/*
%{_bindir}/*
%{_libexecdir}/lbdb/*
%dir %{_libexecdir}/lbdb
%{_mandir}/man?/*


%changelog
* Sun Jan 26 2025 daviddavid <daviddavid> 0.56-1.mga10
+ Revision: 2142590
- new version: 0.56

* Tue Apr 02 2024 daviddavid <daviddavid> 0.51.1-2.mga10
+ Revision: 2053811
- use new patch macro

* Mon Oct 03 2022 neoclust <neoclust> 0.51.1-1.mga9
+ Revision: 1894494
- New version

* Mon Aug 01 2022 bcornec <bcornec> 0.50-1.mga9
+ Revision: 1874127
- Update to upstream lbdb 0.50

* Thu Mar 17 2022 umeabot <umeabot> 0.47-4.mga9
+ Revision: 1795183
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.47-3.mga8
+ Revision: 1521786
- Mageia 8 Mass Rebuild

* Tue Jan 01 2019 bcornec <bcornec> 0.47-2.mga7
+ Revision: 1348458
- Modified patch for 0.47
- Update to lbdb upstream 0.47

* Sun Sep 23 2018 umeabot <umeabot> 0.42.1-2.mga7
+ Revision: 1298717
- Mageia 7 Mass Rebuild

* Mon Jan 02 2017 bcornec <bcornec> 0.42.1-1.mga6
+ Revision: 1079634
- update to upstream lbdb 0.42.1

* Mon May 23 2016 bcornec <bcornec> 0.41-1.mga6
+ Revision: 1018046
- Update to upstream 0.41

* Thu Feb 04 2016 umeabot <umeabot> 0.39-6.mga6
+ Revision: 934393
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.39-5.mga5
+ Revision: 744427
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 0.39-4.mga5
+ Revision: 725101
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.39-3.mga5
+ Revision: 681277
- Mageia 5 Mass Rebuild

* Sat Sep 06 2014 bcornec <bcornec> 0.39-2.mga5
+ Revision: 672475
- update lbdb to upstream 0.39

* Mon Oct 21 2013 umeabot <umeabot> 0.38-2.mga4
+ Revision: 539871
- Mageia 4 Mass Rebuild

* Tue Oct 08 2013 bcornec <bcornec> 0.38-1.mga4
+ Revision: 493030
- Fix Group and deps for lbdb
- Use mkrel macro for lbdb coming from Fedora
- imported package lbdb


* Wed Mar 06 2013 Christophe Fergeau <cfergeau@redhat.com> - 0.38-5
- Add BuildRequires: pod2man, this has been split to a separate package in
  rawhide and is no longer available in the build roots by default

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.38-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.38-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Mar 04 2012 Christophe Fergeau <cfergeau@redhat.com> - 0.38-2
- add %%{?dist} in release
- remove use of BuildRoot:
- remove use of %%defattr
- remove usage instruction from %%description
- comment patches

* Mon Sep 19 2011 Christophe Fergeau <cfergeau@redhat.com> - 0.38-1
- new version 0.38
  * adapt the spec file for fedora use

* Tue Feb  8 2011 lnussel@suse.de
- Suggest perl(Net::LDAP) (bnc#669969)
* Wed May 19 2010 lnussel@suse.de
- new version 0.37
  * Fix bashisms in m_bbdb
  * Fix query shell functions to catch non-zero exit status in case they
    get invoked in set -e context.
  * m_evolution: support line breaks and long lines.
  * Fix documentation concerning the quotes on lbdbq call
- fix path to evolution-addressbook-export
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Thu Oct  2 2008 lnussel@suse.de
- new version 0.36
  * Remove duplicate "See also: mutt" from lbdbq.man.
  * Update configure using autconf 2.61.
  * Apply charset conversation patch by Peter Colberg based on code by
    Tobias Schlemmer.
  * Remove duplicate declaration of $ignorant.
  * Handle mail addresses in mutt_ldap_query correct. Thanks to Colin
    Watson <cjwatson@debian.org> for providing a patch.
  * Mention ldapi URIs in mutt_ldap_query man page.
  * Protect "make distclean" by checking whether makefile exists.
  * Upgrade to Standards-Version 3.8.0:
  - Fix Homepage header in control file.
  * Add copyright holders to debian/copyright file.
  * Remove outdated override.Lintian.
* Fri Aug 10 2007 lnussel@suse.de
- new version 0.35.1
  * supports ldaps
* Wed May 16 2007 lnussel@suse.de
- new version 0.34
  * vcquery: avoid free() on unallocated memory if fullname is not set.
  * vcquery: Use value of concatenated N fields if FN field is missing.
- fix hostname lookup if multiple domains are listed in resolv.conf
* Mon Oct 16 2006 lnussel@suse.de
- new version 0.33
  * Add SORT_OUTPUT=reverse_comment to do reverse sort by the third column
    (most recent m_inmail timestamp at the top).
  * Comment out LDAP_NICKS in lbdb.rc because this should only be an
    example and if it is set there it overrides other LDAP settings
* Thu Aug 24 2006 lnussel@suse.de
- new version 0.32
- fix path to evolution-addressbook-export
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon May  9 2005 lnussel@suse.de
- update to version 0.30
* Fri Feb 27 2004 lnussel@suse.de
- run configure similar to the original debian package to reduce
  neededforbuild and to fix evolution addressbook query
- add gpg to default address query methods
* Thu Feb 26 2004 lnussel@suse.de
- update to version 0.29
* Sun Feb  8 2004 lnussel@suse.de
- update to version 0.28.2
- use %%optflags, fix aliasing problems
* Wed Feb 12 2003 lnussel@suse.de
- new version 0.26.2
  * new ldap option $ignorant
  * support for multiple abook address books
* Fri Aug 16 2002 ro@suse.de
- removed emtpy post/postun scripts (#17916)
* Thu Apr 25 2002 lnussel@suse.de
- new version 0.26
- now uses m_getent instead of m_passwd (lbdb.rc.dif)
- moved files from %%{_prefix}/lib to %%{_libdir}/lbdb
* Tue Jul 24 2001 lnussel@suse.de
- new version 0.25
* Tue Mar 20 2001 lnussel@suse.de
- new version 0.24
- added finger to neededforbuild
* Wed Feb  7 2001 lnussel@suse.de
- new version 0.23
- neededforbuild: ypbind -> yp-tools
* Thu Nov 30 2000 ro@suse.de
- neededforbuild: ypclient -> ypbind
* Thu Oct 12 2000 lnussel@suse.de
- new version 0.21.1
- cleaned up spec file
- changed Group to Applications/Mail
* Tue Aug 29 2000 lnussel@suse.de
- initial check in
